Bug 1882444 - remove update check from previous polling implementation
Summary: remove update check from previous polling implementation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.z
Assignee: Daniel Sover
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1881584
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-24 14:55 UTC by Daniel Sover
Modified: 2020-11-05 12:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1881584
Environment:
Last Closed: 2020-11-05 12:46:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1780 0 None closed [release-4.5] Bug 1882444: remove extra polling check 2020-11-12 13:59:04 UTC
Red Hat Product Errata RHBA-2020:4325 0 None None None 2020-11-05 12:47:17 UTC

Comment 2 Jian Zhang 2020-10-26 02:56:30 UTC
Cluster version is 4.5.0-0.nightly-2020-10-25-174204

[root@preserve-olm-env data]# oc -n openshift-operator-lifecycle-manager  exec catalog-operator-6fcf845f79-47xjh -- olm --version
OLM version: 0.15.1
git commit: 8623c6f5d598aa7159d699bb900ca109b810db77


[root@preserve-olm-env data]# cat cs-poll.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: poll-test
spec:
  displayName: Jian Test
  sourceType: grpc
  image: quay.io/olmqe/etcd-index:0.9.2
  updateStrategy:
    registryPoll:
      interval: 10m
[root@preserve-olm-env data]# oc create -f cs-poll.yaml 
catalogsource.operators.coreos.com/poll-test created

[root@preserve-olm-env data]# oc get pods poll-test-qdpvl -o yaml|grep image
            f:image: {}
            f:imagePullPolicy: {}
  - image: quay.io/olmqe/etcd-index:0.9.2
    imagePullPolicy: Always
  imagePullSecrets:
    image: quay.io/olmqe/etcd-index:0.9.2
    imageID: quay.io/olmqe/etcd-index@sha256:178bf0802d038cc2a8e0d827af27ec736fe43b7b74b6d17c2f193db0726917f3

[root@preserve-olm-env data]# date
Sun Oct 25 22:35:09 EDT 2020

[root@preserve-olm-env data]# opm index add --overwrite-latest -b quay.io/olmqe/etcd-bundle:0.9.2 -f quay.io/olmqe/etcd-index:0.9.2 -t quay.io/olmqe/etcd-index:0.9.2 -c podman
INFO[0000] building the index                            bundles="[quay.io/olmqe/etcd-bundle:0.9.2]"
...

[root@preserve-olm-env data]# podman push quay.io/olmqe/etcd-index:0.9.2
Getting image source signatures
...

The CatalogSource image updated, and we can get the etcd operator successfully.
^C[root@preserve-olm-env data]# oc get pods poll-test-pjrqh -o yaml|grep image
            f:image: {}
            f:imagePullPolicy: {}
        f:imagePullSecrets:
            f:image: {}
            f:imagePullPolicy: {}
  - image: quay.io/olmqe/etcd-index:0.9.2
    imagePullPolicy: Always
  imagePullSecrets:
    image: quay.io/olmqe/etcd-index:0.9.2
    imageID: quay.io/olmqe/etcd-index@sha256:1d7bb38fb0d6c960994c35c17772e86f92528ec7cb11997c6c401ac688620948

[root@preserve-olm-env data]# oc get packagemanifest|grep Jian
etcd                                                 Jian Test             13m

LGTM, verify it.

Comment 5 errata-xmlrpc 2020-11-05 12:46:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4325


Note You need to log in before you can comment on or make changes to this bug.